POST /deploy/journeys/{journey_id}/resume
Advance a deployment by one step
Scope deploy:create. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}. 202 while the step is still running (Retry-After).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
journey_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Step completed | object |
202 | Step in progress | object |
404 | deploy_journey_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/deploy/journeys/<journey_id>/resume" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.deployments.resume("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.deployments.resume("<id>")